Name: sunbird
License: GPL/LGPL/MPL
Version: 0.3
Release: alt1
Summary: Mozilla's Calendar Application
Url: http://www.mozilla.org/projects/sunbird
Group: Office
Source: sunbird-%version-source.tar.bz2
Source1: sunbird.desktop
Source2: mozilla-rebuild-databases.sh
Source3: mozilla-make-package.pl

BuildRequires: gcc-c++ libgnomeui-devel libIDL-devel ORBit-devel zip libcairo-devel libpango-devel
BuildRequires: libnspr-devel libnss-devel-static zlib-devel libpng-devel libjpeg-devel xorg-x11-devel

%define sunbirddir %_libdir/%name

%add_findprov_lib_path %sunbirddir

%description
The Sunbird Project is a redesign of the Mozilla Calendar component.
The goal is to produce a cross-platform stand-alone calendar
application based on Mozilla's XUL user interface language. At the
moment, the Sunbird name is a project name. It is not official and may
change in the future.

The intended user is someone who uses Mozilla Firefox and Mozilla
Thunderbird and wants a calendar application based on Mozilla.

%prep
%setup -q -n mozilla

%build
%undefine __libtoolize
export ac_cv_visibility_pragma=no
%add_optflags -Wno-non-virtual-dtor

rpath_link=`pwd`/dist/lib
export LDFLAGS="$LDFLAGS -Wl,-rpath,%sunbirddir -Wl,-rpath-link,$rpath_link"


%configure \
	--enable-optimize="%optflags" \
	--with-system-jpeg \
	--with-system-png \
	--with-system-zlib \
	--disable-static \
	--enable-xft \
	--disable-installer \
	--with-system-nspr \
	--with-system-nss \
	--enable-application=calendar \
	--enable-default-toolkit=gtk2 \
	--with-default-mozilla-five-home=%sunbirddir


%make_build

%install
%make_install DESTDIR=%buildroot install
mv %buildroot%_libdir/%name-%version %buildroot%sunbirddir

ln -sf %name %buildroot%_libdir/%name-%version

# install rebuild-databases.sh
install -m755 -D %SOURCE2 %buildroot%sunbirddir/rebuild-databases.sh
%__subst s,/usr/lib,%_libdir,g %buildroot%sunbirddir/rebuild-databases.sh
%__subst 's,MOZ_APPNAME=.*,MOZ_APPNAME=%name,' %buildroot%sunbirddir/rebuild-databases.sh

# install icons
install -D other-licenses/branding/sunbird/mozicon16.xpm \
	%buildroot/%_miconsdir/%name.xpm
install -D other-licenses/branding/sunbird/default.xpm \
	%buildroot/%_iconsdir/%name.xpm
install -D other-licenses/branding/sunbird/mozicon128.png \
	%buildroot/%_iconsdir/hicolor/128x128/%name.png

install -m644 -D %SOURCE1 %buildroot%_desktopdir/%name.desktop

# save original chrome
cp %buildroot%sunbirddir/chrome/installed-chrome.txt  %buildroot%sunbirddir/chrome/installed-chrome-orig.txt

# build initial component and chrome registry
pushd %buildroot%sunbirddir
LD_LIBRARY_PATH=%buildroot%sunbirddir:%buildroot%_libdir \
	MOZILLA_FIVE_HOME=%buildroot%sunbirddir ./regxpcom
echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt	
echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

for i in langenus regus deflenus xpcom calendar; 
do 
%SOURCE3 --package $i --output-file %buildroot/%name.list \
	--package-file %_builddir/mozilla/xpinstall/packager/packages-unix \
	--install-dir %buildroot%sunbirddir \
	--install-root %sunbirddir
done


%post
%update_menus
%sunbirddir/rebuild-databases.sh

%postun
%clean_menus
if [ "$1" == "0" ]; then
    rm -rf %sunbirddir/chrome/overlayinfo
    rm -f %sunbirddir/chrome/*.rdf
    rm -f %sunbirddir/component.reg
    rm -f %sunbirddir/components/xpti*.dat
fi

%files -f %buildroot/%name.list
%exclude /%name.list
%_bindir/sunbird
%_desktopdir/%name.desktop
%exclude %_includedir/* 
%exclude %_datadir/idl/*
%exclude %_pkgconfigdir/*
%exclude %_bindir/%name-config
%dir %sunbirddir
%dir %_libdir/%name-%version
%sunbirddir/*.so
%sunbirddir/regxpcom
%sunbirddir/rebuild-databases.sh
%sunbirddir/chrome/installed-chrome-orig.txt
%_miconsdir/%name.xpm
%_iconsdir/%name.xpm
%_iconsdir/hicolor/128x128/%name.png
%dir %sunbirddir/defaults/pref
%dir %sunbirddir/defaults/profile
%dir %sunbirddir/defaults
%dir %sunbirddir/chrome
%dir %sunbirddir/components
%dir %sunbirddir/res/html
%dir %sunbirddir/res/samples
%dir %sunbirddir/res/entityTables
%dir %sunbirddir/res
%dir %_libdir/%name-%version
%sunbirddir/chrome/*.jar
%sunbirddir/chrome/*.manifest
%sunbirddir/components/*.xpt
%sunbirddir/components/*.js
%sunbirddir/components/*.so
%sunbirddir/defaults/autoconfig/*.js
%sunbirddir/defaults/pref/sunbird-l10n.js
%sunbirddir/greprefs/*.js
%sunbirddir/defaults/pref/sunbird.js
%sunbirddir/defaults/profile/prefs.js
%sunbirddir/run-mozilla.sh
%sunbirddir/%name-bin
%sunbirddir/js/*.js
%sunbirddir/extensions/*
%sunbirddir/res/*

%config(noreplace) %sunbirddir/chrome/installed-chrome.txt
%verify (not md5 mtime size) %sunbirddir/components/compreg.dat
%verify (not md5 mtime size) %sunbirddir/components/xpti.dat

%changelog
* Fri Dec 08 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.3-alt1
- Initial build for ALT Linux. 
